post
https://{domainname}/ca_apis/AgentDetails
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API retrieves detailed information about an agent in your CloudAgent account.
Rate Limit:A maximum of 10 requests per minute is allowed.
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Header parameters
| Parameter | Description |
|---|---|
| apiKey* | Your CloudAgent account API Key |
| Content-Type | application/json |
Body Params
{
"userName": "xxxxxx",
"agentId": "xxxxxx"
}
Possible responses
| Success response | { "message": [ { "State": "NOT READY", "Since": "00:06:54", "Skill": "Hyderabad, offline_hyd, webChat, whatsapp", "AgentName": "xxxxx", "PhoneNumber": null, "AgentId": "xxxxx", "Mode": "Manual" } ], "status": "success" } |
| If userName is empty | "status": "error" "message": "userName should not be empty" |
| If apiKey is empty | "status": "error" "message": apiKey should not be empty" |
| If userName or apiKey is invalid | "status": "error" "message": "userName or apiKey is Invalid" |
| If campaignName is invalid | "status": "error", "message": "campaignName is Invalid" |
| If rate limit exceeds | "message": "Max limit exceeded", "status": "error" |
